﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;
using Shore.cnblogs.com.WCFData;
using Shore.cnblogs.com.WCFInterface;
using Shore.cnblogs.com.DataAccess;

namespace Shore.cnblogs.com.WCFService
{
    public class EmployeeService : IEmployeeService
    {
        #region IEmployeeService Members

        public void AddEmployee(Employee em)
        {
            Database.Add(em);
        }

        public string GetEmpNameByID(int id)
        {
            List<Employee> emps = Database.GetAll();
            var names = from p in emps
                        where p.ID == id
                        select p.Name;
            if (names.Count() > 0)
            {
                return names.First<string>();
            }

            //throw new Exception("employee no exists");
            EmployeeNotFind notFind = new EmployeeNotFind();
            notFind.Code = id.ToString();
            notFind.Message = "employee no exists";
            throw new FaultException<EmployeeNotFind>(notFind);
        }

        #endregion
    }
}
